﻿
//执行一些相应的动态操作
$(function () {

//右上角菜单
  var ii = 0;
  $(".lm-admin-user").click(function () {
    if (ii % 2 == 1) 
      $(this).find(".lm-dropdown-menu").removeClass("lm-show");
    else    
      $(this).find(".lm-dropdown-menu").addClass("lm-show");
    ii++;
  })
  //进入全屏显示
  $(".fullscreen").click(function () {
    if (!$(this).attr("fullscreen")) {
      $(this).attr({ "fullscreen": "true", "title": "退出全屏" }).children(".lm-icon").removeClass("lm-icon-screen-full").addClass("lm-icon-screen-restore");
      requestFullScreen();
    } else {
      $(this).attr("title", "全屏").removeAttr("fullscreen").children(".lm-icon").removeClass("lm-icon-screen-restore").addClass("lm-icon-screen-full");
      exitFullscreen();
    }
  });


  //左侧导航菜单
  $(".lm-admin-sidebar .lm-sidebar li").click(function (e) {    
    var $title = $(this);
    e.stopPropagation();
    if ($title.hasClass("title")) {
      $title.find("h2").addClass("active");
      $title.siblings().find("h2").removeClass("active");
      $title.siblings().each(function () {
        if (!$(this).hasClass("title")) {
          $(this).hide(300, function () {
            $(this).removeClass("lm-show")
          });
        } else {
          $(this).removeClass("lm-show");
        }
      })

      if ($title.hasClass("lm-show")) {
        $title.removeClass("lm-show");
        var $class = "." + $title.attr("data-to");
        $($class).hide(300, function () {
          $($class).removeClass("lm-show");
          $title.find("h2 .lm-icon.lm-right").addClass("lm-hide");
          $(".lm-admin-sidebar .lm-sidebar-narrow").addClass("lm-hide");
        });
      } else {
        $title.addClass("lm-show");
        $(".lm-admin-sidebar .lm-sidebar-narrow").removeClass("lm-hide");
        $title.find("h2 .lm-icon.lm-right").removeClass("lm-hide");
        $("." + $title.attr("data-to")).show(300);        
      }
    } else {      
      $title.children("a").addClass("active");      
      $title.siblings().find("a").removeClass("active");
      $title.siblings().each(function () {
        if (!$(this).hasClass("title")) {
          $(this).find(".lm-sidebar-ul").hide(0);
        } 
      })
      var $ul = $title.find(".lm-sidebar-ul");      
      if ($ul.length) {
        if ($ul.css("display") == "none") {
          $ul.show(300);
        } else {
          $ul.hide(300);
        }
      }
    }
  })
  //左侧菜单伸缩
  var sidebtn=$(".lm-admin-header .lm-nav-btn").click(function () {
    var $top_left = $(".lm-admin-header .lm-top-left");
    if ($top_left.hasClass("lm-hide")) {
      $(this).children(".lm-icon").removeClass("lm-icon-spread-left").addClass("lm-icon-shrink-right");
      $top_left.removeClass("lm-hide");
      $(".lm-admin-sidebar.lm-admin-sidebar-narrow .lm-sidebar > li.title").unbind("mouseover");
      $(".lm-admin-sidebar").removeClass("lm-admin-sidebar-narrow");
      $(".lm-admin-sidebar .lm-sidebar-narrow").remove();//先清除一遍
    } else {
      $(this).children(".lm-icon").removeClass("lm-icon-shrink-right").addClass("lm-icon-spread-left");
      $top_left.addClass("lm-hide");
      $(".lm-admin-sidebar").addClass("lm-admin-sidebar-narrow");      

      $(".lm-admin-sidebar.lm-admin-sidebar-narrow .lm-sidebar > li.title").mouseover(function () {
        $(this).find("h2").addClass("active");
        $(this).siblings().find("h2").removeClass("active");      
        $(".lm-admin-sidebar .lm-sidebar-narrow").remove();//先清除一遍
        addsidebar("." + $(this).attr("data-to"), $(this).offset().top);
        $(this).find("h2 .lm-icon.lm-right").removeClass("lm-hide");     
      })
      var lishow = $("li.title.lm-show");
      addsidebar("." + lishow.attr("data-to"), lishow ? lishow.offset().top : 0);
    }
  })  
  if ($(window).width() < 768) {
    sidebtn.click();
  } else {
    $(".lm-admin-sidebar .lm-sidebar").niceScroll({ touchbehavior: false, cursorcolor: "#ccc", cursoropacitymax: 0.6, cursorwidth: 6, autohidemode: false });
  } 
})

//新增短菜单导航
function addsidebar(objs,top){
  var $narrow = $("<ul class=\"lm-sidebar-narrow lm-sidebar lm-pabs\"></ul>").css("top", (top - $(".lm-admin-header").height()) + "px");
  $(objs).attr("style", "").clone().appendTo($narrow);
  if ($(objs).length > 0) {
    $(".lm-admin-sidebar").append($narrow);
    var uh=($(window).height() - top);
    if (uh < $narrow.outerHeight()) {//小于剩下的高度
      $narrow.css("height", (uh - 2) + "px");
    }
    $(".lm-admin-sidebar .lm-sidebar-narrow li").click(function (e) {
      e.stopPropagation();      
      $(this).siblings().find("a").removeClass("active");
      $(this).find("a").addClass("active");
    })
    $(".lm-admin-sidebar.lm-admin-sidebar-narrow .lm-sidebar.lm-sidebar-narrow .lm-sidebar-ul").prev().addClass("active");
  }
  
}

//进入全屏显示
function requestFullScreen() {
  var de = document.documentElement;
  if (de.requestFullscreen) {
    de.requestFullscreen();
  } else if (de.mozRequestFullScreen) {
    de.mozRequestFullScreen();
  } else if (de.webkitRequestFullScreen) {
    de.webkitRequestFullScreen();
  }
}

//退出全屏显示
function exitFullscreen() {
  var de = document;
  if (de.exitFullscreen) {
    de.exitFullscreen();
  } else if (de.mozCancelFullScreen) {
    de.mozCancelFullScreen();
  } else if (de.webkitCancelFullScreen) {
    de.webkitCancelFullScreen();
  }
}