﻿
$(function () {
  //转换成源码模式
  $(".demo fieldset .demo-code").click(function () {
    var code = $(this).parent().find("section");
    if ($(this).children("i").hasClass("lm-icon-fonts-code")) {
      $(this).children("i").removeClass("lm-icon-fonts-code").addClass("lm-icon-fonts-html");
      code.text(code.html());
    } else {
      $(this).children("i").removeClass("lm-icon-fonts-html").addClass("lm-icon-fonts-code");
      code.html(code.text());
    }
  })

  //表格全选
  $(".checkall").change(function () {
    $(this).parents("table").find(".checkone:enabled").prop("checked", $(this).prop("checked"));
  })

  //点击动画演示
  $(".anim .lm-anim").click(function () {
    var _this = $(this);
    var anim_name = _this.attr("data-lm-anim");
    _this.removeClass(anim_name);
    setTimeout(function () {
      _this.addClass(anim_name);
    }, 100);
  })

  $("#floatHead").smartFloat();//工具栏固定顶部
  $(".lm-float-foot").ruleLayoutFooter();//固定底部
})


//智能浮动层函数
$.fn.smartFloat = function () {
  var position = function (element) {
    var obj = element.children(".toolbar");
    var top = obj.position().top;
    $(window).scroll(function () {
      var scrolls = $(this).scrollTop();
      if (scrolls > top) {
        //obj.width(element.width());
        element.height(obj.outerHeight());
        if (window.XMLHttpRequest) {
          obj.css({ top: 0 }).addClass("lm-pfix");
        } else {
          obj.css({ top: scrolls });
          element.height("auto");
        }
      } else {
        obj.css({ top: top }).removeClass("lm-pfix");
        element.height("auto");
      }
    });
  };
  return $(this).each(function () {
    position($(this));
  });
};

//页面底部分页事件
$.fn.ruleLayoutFooter = function () {
  var fun = function (parentObj) {
    var winHeight = $(window).height();
    var docHeight = $(document).height();
    var paging = parentObj.find(".btn-wrap");
    if (docHeight > winHeight) {
      var h = paging.addClass("lm-pfix").innerHeight();
      parentObj.height(h);
      parentObj.prev(".lm-hr").remove();
    } else {
      paging.removeClass("lm-pfix");
      parentObj.height("auto");
    }
  };
  return $(this).each(function () {
    fun($(this));
  });
}