﻿
//厘米框架必备js
$(document).ready(function () {
  //滚回顶部
  $(document).on("click", ".lm-totop", function () {
    $("html,body").animate({ scrollTop: 0 });
  });
  $(window).scroll(function () {
    var st = $(document).scrollTop();
    var $top = $(".lm-totop");
    if (st > 600) {
      $top.show();
    } else {
      if ($top.is(":visible")) {
        $top.hide();
      }
    }
  });

  //点击弹出导航菜单
  $(".lm-navbar-header .lm-nav-menu").click(function () {
    var nav = $(this).nextAll(".lm-nav");
    if (nav.css("right") == "0px") {
      $(this).children(".lm-icon").removeClass("lm-icon-spread-left").addClass("lm-icon-shrink-right");
      nav.animate({ "right": -250 }, 500);
    } else {
      $(this).children(".lm-icon").removeClass("lm-icon-shrink-right").addClass("lm-icon-spread-left");
      nav.animate({ "right": 0 }, 500);
    }
  })

  //分类别导航茶超长滑动
  var cate_len = 0;
  $(".lm-category a").each(function () {
    cate_len += parseFloat($(this).outerWidth(true));
  })
  $(".lm-category .lm-category-box").css("width", cate_len + 50);

  //下拉菜单
  $(".lm-dropdown-toggle:enabled").click(function () {
    var menu = $(this).next(".lm-dropdown-menu");
    var parent = $(this).parent();    ;
    if (menu.outerWidth() > ($(window).width() - parent.offset().left)) {
      menu.css({ "left": "auto", "right": 0 });
    }
    if (($(document).height() - (parent.offset().top + $(this).outerHeight())) < menu.outerHeight()) {
      if (parent.hasClass("lm-dropdown")) {
        parent.removeClass("lm-dropdown").addClass("lm-dropup");
      }
    }
    $(".lm-dropdown-menu").not(menu).hide();
    var display = menu.css("display");
    if (display == "none") { menu.show();} else { menu.hide();}
  })

  //折叠面板
  $(".lm-panel-fold .lm-panel-head").click(function () {
    var icon=$(this).children(".lm-panel-icon")
    if (icon.hasClass("lm-icon-right")) {
      icon.removeClass("lm-icon-right").addClass("lm-icon-down");
    } else {
      icon.removeClass("lm-icon-down").addClass("lm-icon-right");
    }
    $(this).next().toggle();
  })

  //手风情折叠面板
  //折叠面板
  $(".lm-panel-accordion .lm-panel-head").click(function () {
    var anim=$(this).parents(".lm-panel-accordion").attr("data-lm-anim");
    switch (anim) {
      case " transit"://过渡动画
        var items = $(this).parents(".lm-panel-accordion").find(".lm-panel-item");
        items.removeClass("lm-panel-open");
        items.find(".lm-panel-body").hide();
        $(this).next().slideDown(300);
        break;
      default://默认动作
        $(this).parent().addClass("lm-panel-open").siblings().removeClass("lm-panel-open");
        break;
    }
  })

  //选项卡切换
  $(".lm-tab .lm-tab-ul .lm-tab-li").click(function () {
    var index = $(this).index();
    $(this).addClass("lm-ative").siblings().removeClass("lm-ative");
    $(this).parents(".lm-tab-title").next().find(".lm-tab-item").eq(index).addClass("lm-ative").siblings().removeClass("lm-ative");
  })
})

//页面滚动到顶部置顶事件
$.fn.ruleFixTop = function () {
  var fun = function (parentObj) {
    var offsetTop = parentObj.offset().top;
    var child= parentObj.children();
    $(window).scroll(function () {
      var winHeight = $(document).scrollTop();
      if (offsetTop > winHeight) {
        child.css({"position": "static","width":"auto"});
      } else {
        child.css({ "position": "fixed", "top": 10, "width": child.width() });
      }
    });
  };
  return $(this).each(function () {
    fun($(this));
  })
}